Package io.vertx.rxjava3.ext.eventbus.bridge.tcp

## Class TcpEventBusBridge

- java.lang.Object
- - io.vertx.rxjava3.ext.eventbus.bridge.tcp.TcpEventBusBridge

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class TcpEventBusBridge
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  TCP EventBus bridge for Vert.x

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<TcpEventBusBridge>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TcpEventBusBridge​(TcpEventBusBridge delegate)` |
    `TcpEventBusBridge​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Completable` | `close()` | Close the current socket.
    `static TcpEventBusBridge` | `create​(Vertx vertx)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions, Handler<BridgeEvent> eventHandler)` |
    `boolean` | `equals​(Object o)` |
    `TcpEventBusBridge` | `getDelegate()` |
    `int` | `hashCode()` |
    `Single<TcpEventBusBridge>` | `listen()` | Start listening on the port and host as configured in the `NetServerOptions` used when creating the server.
    `Single<TcpEventBusBridge>` | `listen​(int port)` | Start listening on the specified port and host "0.0.0.0", ignoring port and host configured in the `NetServerOptions` used when creating the server.
    `Single<TcpEventBusBridge>` | `listen​(int port, String address)` | Start listening on the specified port and host, ignoring port and host configured in the `NetServerOptions` used when creating the server.
    `Single<TcpEventBusBridge>` | `listen​(SocketAddress localAddress)` | Start listening on the specified local address, ignoring port and host configured in the used when creating the server.
    `static TcpEventBusBridge` | `newInstance​(TcpEventBusBridge arg)` |
    `Completable` | `rxClose()` | Close the current socket.
    `Single<TcpEventBusBridge>` | `rxListen()` | Start listening on the port and host as configured in the `NetServerOptions` used when creating the server.
    `Single<TcpEventBusBridge>` | `rxListen​(int port)` | Start listening on the specified port and host "0.0.0.0", ignoring port and host configured in the `NetServerOptions` used when creating the server.
    `Single<TcpEventBusBridge>` | `rxListen​(int port, String address)` | Start listening on the specified port and host, ignoring port and host configured in the `NetServerOptions` used when creating the server.
    `Single<TcpEventBusBridge>` | `rxListen​(SocketAddress localAddress)` | Start listening on the specified local address, ignoring port and host configured in the used when creating the server.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TcpEventBusBridge> __TYPE_ARG

  - ### Constructor Detail

    - #### TcpEventBusBridge

          public TcpEventBusBridge​(TcpEventBusBridge delegate)

    - #### TcpEventBusBridge

          public TcpEventBusBridge​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TcpEventBusBridge getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static TcpEventBusBridge create​(Vertx vertx)

    - #### create

          public static TcpEventBusBridge create​(Vertx vertx,
                                                 BridgeOptions options)

    - #### create

          public static TcpEventBusBridge create​(Vertx vertx,
                                                 BridgeOptions options,
                                                 NetServerOptions netServerOptions)

    - #### create

          public static TcpEventBusBridge create​(Vertx vertx,
                                                 BridgeOptions options,
                                                 NetServerOptions netServerOptions,
                                                 Handler<BridgeEvent> eventHandler)

    - #### listen

          public Single<TcpEventBusBridge> listen()

      Start listening on the port and host as configured in the `NetServerOptions` used when creating the server.
      Returns:
        a future of the result

    - #### rxListen

          public Single<TcpEventBusBridge> rxListen()

      Start listening on the port and host as configured in the `NetServerOptions` used when creating the server.
      Returns:
        a future of the result

    - #### listen

          public Single<TcpEventBusBridge> listen​(int port,
                                                  String address)

      Start listening on the specified port and host, ignoring port and host configured in the `NetServerOptions` used when creating the server.
      Parameters:
        `port` - the tcp port
        `address` - the local address
      Returns:
        a future of the result

    - #### rxListen

          public Single<TcpEventBusBridge> rxListen​(int port,
                                                    String address)

      Start listening on the specified port and host, ignoring port and host configured in the `NetServerOptions` used when creating the server.
      Parameters:
        `port` - the tcp port
        `address` - the local address
      Returns:
        a future of the result

    - #### listen

          public Single<TcpEventBusBridge> listen​(int port)

      Start listening on the specified port and host "0.0.0.0", ignoring port and host configured in the `NetServerOptions` used when creating the server.
      Parameters:
        `port` - the TCP port
      Returns:
        a future of the result

    - #### rxListen

          public Single<TcpEventBusBridge> rxListen​(int port)

      Start listening on the specified port and host "0.0.0.0", ignoring port and host configured in the `NetServerOptions` used when creating the server.
      Parameters:
        `port` - the TCP port
      Returns:
        a future of the result

    - #### listen

          public Single<TcpEventBusBridge> listen​(SocketAddress localAddress)

      Start listening on the specified local address, ignoring port and host configured in the used when creating the server.
      Parameters:
        `localAddress` - the local address to listen on
      Returns:
        a future of the result

    - #### rxListen

          public Single<TcpEventBusBridge> rxListen​(SocketAddress localAddress)

      Start listening on the specified local address, ignoring port and host configured in the used when creating the server.
      Parameters:
        `localAddress` - the local address to listen on
      Returns:
        a future of the result

    - #### close

          public Completable close()

      Close the current socket.
      Returns:
        a future of the result

    - #### rxClose

          public Completable rxClose()

      Close the current socket.
      Returns:
        a future of the result

    - #### newInstance

          public static TcpEventBusBridge newInstance​(TcpEventBusBridge arg)